=== debian/changelog ===
ros-bouncy-rviz-default-plugins (4.0.2-0bionic) bionic; urgency=high

  * Fixed a bug where a laserscans greater than 1 meter do not render. (#345 <https://github.com/ros2/rviz/issues/345>) (#348 <https://github.com/ros2/rviz/issues/348>)
  * Contributors: eric1221bday, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-bouncy-rviz-default-plugins (4.0.1-0bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-default-plugins (4.0.0-0bionic) bionic; urgency=high

  * Polished selection behavior. (#315 <https://github.com/ros2/rviz/issues/315>)
  * Suppressed a warning when disabling a map display. (#320 <https://github.com/ros2/rviz/issues/320>)
  * Fixed point cloud selection. (#307 <https://github.com/ros2/rviz/issues/307>)
  * Fixed a segfault for tf on Windows. (#310 <https://github.com/ros2/rviz/issues/310>)
  * Added a warning when the ``camera_info`` is missing. (#311 <https://github.com/ros2/rviz/issues/311>)
  * Polished tests and migrate or delete old tests. (#289 <https://github.com/ros2/rviz/issues/289>)
  * Migrated the map display. (#267 <https://github.com/ros2/rviz/issues/267>)
  * Migrated the Marker Array display. (#296 <https://github.com/ros2/rviz/issues/296>)
  * Migrated the 2D Nav Goal tool. (#294 <https://github.com/ros2/rviz/issues/294>)
  * Migrated the Third Person Follower View Controller. (#295 <https://github.com/ros2/rviz/issues/295>)
  * Implemented a workaround for the missing identity transform when transforming from a frame to itself. (#298 <https://github.com/ros2/rviz/issues/298>)
  * Migrated the GridCells display. (#286 <https://github.com/ros2/rviz/issues/286>)
  * Migrated the fps camera view controller. (#281 <https://github.com/ros2/rviz/issues/281>)
  * Migrated the point stamped display. (#278 <https://github.com/ros2/rviz/issues/278>)
  * Fixed the splash screen and the help panel. (#277 <https://github.com/ros2/rviz/issues/277>)
  * Migrated the odometry display. (#275 <https://github.com/ros2/rviz/issues/275>)
  * Migrated the focus tool. (#266 <https://github.com/ros2/rviz/issues/266>)
  * Homogenized behavior of rviz when a tf transform fails. (#292 <https://github.com/ros2/rviz/issues/292>)
  * Updated rviz to only use a single ros node. (#197 <https://github.com/ros2/rviz/issues/197>)
  * Migrated XYOrbit View Controller. (#282 <https://github.com/ros2/rviz/issues/282>)
  * Fixed a segfault in the selection manager tests. (#284 <https://github.com/ros2/rviz/issues/284>)
  * Fixed some of the ``plugins_description`` entities. (#285 <https://github.com/ros2/rviz/issues/285>)
  * Migrated the orthographic view controller. (#270 <https://github.com/ros2/rviz/issues/270>)
  * Migrated the measure tool. (#264 <https://github.com/ros2/rviz/issues/264>)
  * Migrated the publish point tool. (#262 <https://github.com/ros2/rviz/issues/262>)
  * Added message type to MarkerDisplay plugin description. (#252 <https://github.com/ros2/rviz/issues/252>)
  * Finished point cloud refactoring and testing. (#250 <https://github.com/ros2/rviz/issues/250>)
  * Improved visual testing framework and added visual tests. (#259 <https://github.com/ros2/rviz/issues/259>)
  * Fixed debug build on macOS. (#258 <https://github.com/ros2/rviz/issues/258>)
  * Fixed a build error for ignored qualifiers warning/error on GCC8. (#261 <https://github.com/ros2/rviz/issues/261>)
  * Migrated the select tool. (#256 <https://github.com/ros2/rviz/issues/256>)
  * Disabled Ogre deprecation warnings on Windows. (#242 <https://github.com/ros2/rviz/issues/242>)
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Fixed "display" tests and enable when the test environment allows. (#186 <https://github.com/ros2/rviz/issues/186>)
  * Migrated the LaserScan display. (#238 <https://github.com/ros2/rviz/issues/238>)
  * Restored the use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated the Path display. (#236 <https://github.com/ros2/rviz/issues/236>)
  * Migrated the pose array display. (#233 <https://github.com/ros2/rviz/issues/233>)
  * Migrated the marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Migrated the Pose display. (#204 <https://github.com/ros2/rviz/issues/204>)
  * Changed the default position of the camera in the RenderPanel. (#205 <https://github.com/ros2/rviz/issues/205>)
  * Migrated the RobotModel display. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Fixed warnings from pluginlib. (#196 <https://github.com/ros2/rviz/issues/196>)
  * Fixed a bug which caused rviz to crash when removing a display. (#191 <https://github.com/ros2/rviz/issues/191>)
  * Refactored the Grid display. (#165 <https://github.com/ros2/rviz/issues/165>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, William Woodall, mjbogusz

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-bouncy-rviz-default-plugins (3.0.0-0bionic) bionic; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Migrated the camera display. (#183 <https://github.com/ros2/rviz/issues/183>)
  * Migrated the tf display. (#182 <https://github.com/ros2/rviz/issues/182>)
  * Migrated the Image display. (#164 <https://github.com/ros2/rviz/issues/164>)
  * Migrated code for point cloud displays to ``rviz_default_plugins``. (#153 <https://github.com/ros2/rviz/issues/153>)
  * Fixed a bug where the PointCloud2 display was not accepting valid points. (#189 <https://github.com/ros2/rviz/issues/189>)
  * Migrated the polygon display. (#194 <https://github.com/ros2/rviz/issues/194>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000


