=== debian/control ===
Source: ros-bouncy-rviz-default-plugins
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-bouncy-ament-cmake, ros-bouncy-ament-cmake-cppcheck, ros-bouncy-ament-cmake-cpplint, ros-bouncy-ament-cmake-gmock, ros-bouncy-ament-cmake-gtest, ros-bouncy-ament-cmake-lint-cmake, ros-bouncy-ament-cmake-uncrustify, ros-bouncy-ament-index-cpp, ros-bouncy-geometry-msgs, ros-bouncy-laser-geometry, ros-bouncy-map-msgs, ros-bouncy-nav-msgs, ros-bouncy-pluginlib, ros-bouncy-rclcpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-common, ros-bouncy-rviz-rendering, ros-bouncy-rviz-rendering-tests, ros-bouncy-rviz-visual-testing-framework, ros-bouncy-tinyxml-vendor, ros-bouncy-urdf, ros-bouncy-visualization-msgs, ros-bouncy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-bouncy-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-bouncy-geometry-msgs, ros-bouncy-laser-geometry, ros-bouncy-map-msgs, ros-bouncy-nav-msgs, ros-bouncy-pluginlib, ros-bouncy-rclcpp, ros-bouncy-resource-retriever, ros-bouncy-rviz-common, ros-bouncy-rviz-rendering, ros-bouncy-tinyxml-vendor, ros-bouncy-urdf, ros-bouncy-visualization-msgs, ros-bouncy-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.
